##############################################################################################################
## MOD Title: SmartFeed
## MOD Author: MarkDHamill < mhamill@computer.org > (Mark D. Hamill) http://www.potomactavern.org
## MOD Description: Provides RSS 0.91, RSS 1.0, RSS 2.0, Atom 1.0 customized newsfeeds. Users select forums
##           they want, including protected forums if they can access them.
## MOD Version: 0.0.2 (Alpha Version), 2006-01-02
##
## Installation Level: Easy
## Installation Time: 5 Minutes or less
##
## Files To Edit:	lang_smartfeed.php
## Included Files:	feedcreator.class.php,
##			smartfeed.php,
##			smartfeed_url.php,
##			smartfeed_url_body.tpl
##			smartfeed_error_body.tpl
##			lang_smartfeed.php
## License: http://opensource.org/licenses/gpl-license.php GNU General Public License v2 
##############################################################
## For security purposes, please check: http://www.phpbb.com/mods/
## for the latest version of this MOD. Although MODs are checked
## before being allowed in the MODs Database there is no guarantee
## that there are no security problems within the MOD. No support
## will be given for MODs not found within the MODs Database which
## can be found at http://www.phpbb.com/mods/
##############################################################
## Author Notes:
##
## phpBB forums may contain restricted forums that should not normally be exposed as a newsfeed. Smartfeed
## is a phpBB modification, derived from my phpBB Email Digest modification, that allows users to get a newsfeed
## for selected forums, including restricted forums if they have the privilege. This is done by using an 
## interface program called smartfeed_url.php which creates a URL that authenticates the user with phpBB.
## Smartfeed is smart enough to keep users out of forums for which they do not have access, even if they hack
## parameters on the URL field. Authentication is reasonably sophisticated. 
##
## The URL generated by smartfeed_url.php is then copied and pasted by the user into their newsreader. The user
## needs to be smart enough to specify a newsfeed that their newsreader can interpret. RSS 0.91, RSS 1.0, RSS 2.0
## and ATOM 1.0 newsfeeds are supported.
##
## Rather than reinvent the wheel, this mod uses the FeedCreator PHP class originally written by Kai Blankenhorn,
## but extended by Scott Reynen and Dirk Clemen, with on the fly feed code added by Fabian Wolf and ATOM 1.0 support 
## added by Mohammad Hafiz bin Ismail. I modified Line 1298 of the class so the Atom 1.0 feed would validate with embedded HTML.
##
## This has been tested, but not extensively, by validating reasonably complex feeds for RSS 0.91, RSS 1.0, RSS 2.0 and 
## ATOM 1.0 at http://feedvalidator.org.
##
## While DBAL has been used, some of the functions may be unique to MySQL. It has been tested on a MySQL 4.0 environment only.
##
## After installation:
##   - Feel free to change the values in /language/lang_english/lang_smartfeed.php. You may not like the defaults.
##   - Next run smartfeed_url.php. After pressing Generate, copy and paste the resulting complex URL into your newsreader
##   - Run your newsreader, select the phpBB forum and enjoy the results
##   - Create links as appropriate to smartfeed_url.php on your site to give it visibility
##
##############################################################
## MOD History:
##
##   2005-12-29 - Version 0.0.0
##      - First Alpha version for comments
##   2006-01-01 - Version 0.0.1
##      - Password is now encrypted using $dbpasswd, drastically reducing the likelihood the phpBB password can be hacked
##		- Incorporated Conditional Get logic found at http://simon.incutio.com/archive/2003/04/23/conditionalGet. Returns HTTP 304
##        if there are no new posts, saving a lot of bandwidth!
##   2006-01-02 - Version 0.0.2
##      - Added optional IP Authentication. If selected the URL cannot be "hijacked". For example, someone cannot use the URL at
##		  work if it was created at home. For sites with sensitive information this may be an issue.
##      - $siteURL adds a "/" to the end if needed 
##
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
############################################################## # 
#-----[ COPY ]------------------------------------------
#
copy smartfeed.php to smartfeed.php
copy smartfeed_url.php to smartfeed_url.php
copy /includes/feedcreator.class.php to /includes/feedcreator.class.php
copy /language/lang_english/lang_smartfeed.php to /language/lang_english/lang_smartfeed.php
copy /templates/subSilver/smartfeed_url_body.tpl to /templates/subSilver/smartfeed_url_body.tpl
copy /templates/subSilver/smartfeed_error_body.tpl to /templates/subSilver/smartfeed_error_body.tpl
#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
#
# Now run smartfeed_url.php
#
# EoM  